﻿using Microsoft.AspNetCore.Http;
using MTWorkHR.Core.Entities;
using MTWorkHR.Core.Entities.Base;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace MTWorkHR.Application.Models
{
    public class MeetingDto : EntityDto
    {
        [Required]
        [MaxLength(250)]
        [Filter]
        public string Title { get; set; }

        [MaxLength(500)]
        [Filter]
        public string? Description { get; set; }
        public DateTime MeetingDateTime { get; set; }
        [MaxLength(250)]
        public string? MeetingLink { get; set; }
        public List<MeetingUserDto>? MeetingUsers { get; set; }
    }
}
